API ReferenceapicommunityGET /v1/admin/community/users

GET /v1/admin/community/users

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • q (string) —
  • brand_id (string) —
  • limit (integer) —

Responses

200 Community moderation user list or search results

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "user_id": {
            "type": "string"
          },
          "display_name": {
            "type": [
              "string",
              "null"
            ]
          },
          "handle": {
            "type": [
              "string",
              "null"
            ]
          },
          "email": {
            "type": [
              "string",
              "null"
            ]
          },
          "restrictions": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string"
                },
                "user_id": {
                  "type": "string"
                },
                "brand_id": {
                  "type": "string"
                },
                "restriction": {
                  "type": "string",
                  "enum": [
                    "warn",
                    "mute",
                    "suspend",
                    "ban"
                  ]
                },
                "reason": {
                  "type": "string"
                },
                "applied_at": {
                  "type": "string"
                },
                "expires_at": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "applied_by_user_id": {
                  "type": "string"
                }
              },
              "required": [
                "id",
                "user_id",
                "brand_id",
                "restriction",
                "reason",
                "applied_at",
                "expires_at",
                "applied_by_user_id"
              ]
            }
          }
        },
        "required": [
          "user_id",
          "display_name",
          "handle",
          "email",
          "restrictions"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

400 Invalid search parameters

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 No users matched the search query

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/admin/community/users \
  -H "Authorization: Bearer $ACCESS_TOKEN"